% definindo o sistema de EDO's
epsilon=0.1;
F = @(s,z) Exemplo(s,z,epsilon);

% condicoes iniciais
x0=0;          % valor inicial de x 
dy = 0.05;     % passo no valor inicial de x'
yi = 0.5;      % valor mínimo de x' inicial
yf = 1.5;        % valor máximo de x' inicial


% parametros de resolucao
t0 = 0;        % tempo inicial
tf = 50;        % tempo final
h = 0.01;      % passo inicial de integracao
Tol = 1e-5;    % erro maximo tolerado

figure;

% aplicando o metodo RKF45
for y = yi:dy:yf
  z0=[x0, y];
  [t,z] = RKF45(t0,tf,h,z0,F,Tol);

% representacao grafica do resultado
  plot(z(:,1),z(:,2))
  hold on

end